%global momorel 2
%global dbus_version		0.90
%global dbus_glib_version	0.71
%global gtk2_version            2.12
%global gnome_vfs2_version      2.4
%global libsexy_version         0.1.11
%global gnome_doc_utils_version 0.3.2
%global polkit_version          0.8
%global intltool_version        0.35

Summary: PolicyKit integration for the GNOME desktop
Name: PolicyKit-gnome
Version: 0.8
Release: %{momorel}m%{?dist}
License: GPLv2
Group: System Environment/Libraries
URL: http://gitweb.freedesktop.org/?p=users/david/PolicyKit-gnome.git;a=summary
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: PolicyKit-gnome-0.8-fix-i18n.patch
Patch1: PolicyKit-gnome-0.8-dont-spawn-when-running-under-gdm.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: dbus-glib >= %{dbus_glib_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libsexy-devel >= %{libsexy_version}
BuildRequires: PolicyKit-devel >= %{polkit_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: intltool >= %{intltool_version}
BuildRequires: gettext
BuildRequires: desktop-file-utils
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: gtk2 >= %{gtk2_version}
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
Requires: PolicyKit >= %{polkit_version}
Requires: libsexy >= %{libsexy_version}

%description 
PolicyKit-gnome provides a GNOME integration library and tools for
PolicyKit including an Authentication Agent that matches the look and
feel of the GNOME desktop.

%package demo
License: GPL
Summary: Demo application for PolicyKit-gnome
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description demo 
Policy-gnome-demo provides a sample application that demonstrates the
features of both PolicyKit and PolicyKit-gnome. You normally don't
want to have this package installed.
#'

%package libs
License: LGPL
Summary: PolicyKit-gnome libraries
Group: Development/Libraries
Requires: gtk2 >= %{gtk2_version}
Requires: PolicyKit >= %{polkit_version}

%description libs
Libraries provided by PolicyKit-gnome

%package devel
License: LGPL
Summary: Headers, libraries and API docs for PolicyKit-gnome
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: PolicyKit-devel >= %{polkit_version}
Requires: PolicyKit-docs >= %{polkit_version}

%description devel 
This package provides headers, libraries and API docs for
PolicyKit-gnome.

%prep
%setup -q
%patch0 -p1 -b .fix-i18n
%patch1 -p1 -b .no-spawning-under-gdm

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}

make install DESTDIR=%{buildroot}

desktop-file-install --vendor="" --delete-original  \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-only-show-in=GNOME \
  %{buildroot}%{_datadir}/applications/polkit-gnome-authorization.desktop

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING HACKING TODO
%{_bindir}/polkit-gnome-authorization
%{_libexecdir}/polkit-gnome-manager
%{_datadir}/applications/polkit-gnome-authorization.desktop
%{_datadir}/dbus-1/services/gnome-org.freedesktop.PolicyKit.AuthenticationAgent.service
%{_datadir}/dbus-1/services/org.gnome.PolicyKit.service
%{_datadir}/dbus-1/services/org.gnome.PolicyKit.AuthorizationManager.service

%files libs
%defattr(-,root,root,-)
%{_libdir}/libpolkit-gnome.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/PolicyKit/polkit-gnome
%{_libdir}/pkgconfig/polkit-gnome.pc
%{_libdir}/libpolkit-gnome.so
%{_datadir}/gtk-doc/html/polkit-gnome

%files demo
%defattr(-,root,root,-)
%{_bindir}/polkit-gnome-example
%{_datadir}/PolicyKit/policy/polkit-gnome-example.policy

%changelog
* Sat May 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8-2m)
- add patch1 from Fedora (for gdm-2.22.0)

* Sat Apr 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-1m)
- version 0.8
- import i18n.patch from Fedora
- fix %%files (add %%defattr(-,root,root,-))
- add %%post and %%postun libs

* Sat Dec 15 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7-1m)
- import from Fedora

* Thu Dec  6 2007 David Zeuthen <davidz@redhat.com> - 0.7-1%{?dist}
- Update to latest upstream release

* Mon Oct 22 2007 Matthias Clasen <mclasen@redhat.com> - 0.6-2
- Rebuild against new dbus-glib

* Thu Oct 11 2007 David Zeuthen <davidz@redhat.com> - 0.6-1%{?dist}
- Update to latest upstream release

* Tue Sep 25 2007 David Zeuthen <davidz@redhat.com> - 0.6-0.git20070925%{?dist}
- Update to git snapshot

* Mon Sep  3 2007 Matthias Clasen <mclasen@redhat.com> - 0.5-4
- Add gettext BR

* Fri Aug 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-3%{?dist}
- Rebuild

* Fri Aug 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-2%{?dist}
- Require newer PolicyKit release

* Fri Aug 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-1%{?dist}
- Upstream release 0.5

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731.4%{?dist}
- Add BR for intltool

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731.3%{?dist}
- Add BR for gnome-doc-utils

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731.2%{?dist}
- Rebuild

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731.1%{?dist}
- Rebuild and require PolicyKit >= 0.5

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731%{?dist}
- Update to git snapshot

* Wed Jul 25 2007 David Zeuthen <davidz@redhat.com> - 0.4-1%{?dist}
- Update to 0.4

* Tue Jun 19 2007 David Zeuthen <davidz@redhat.com> - 0.3-1%{?dist}
- Initial build.
